Use this API to synchronize Visual Studio Code settings, so that a user’s editor preferences follow them between VS Code and the Web IDE.

Deletes all user vscode setting resources

DELETE /api/v4/vscode/settings_sync/v1/collection

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401401 Unauthorized—
404Not Found—

Get the settings manifest for Settings Sync

GET /api/v4/vscode/settings_sync/v1/manifest

Responses

CodeDescriptionSchema
200OKAPIVsCodeSettingsEntitiesVsCodeManifest
400Bad Request—
401401 Unauthorized—
404Not Found—

Get a list of references to one or more vscode setting resources

GET /api/v4/vscode/settings_sync/v1/resource/{resource_name}

Parameters

NameTypeDescription
resource_name
Path, required
StringName of the resource such as settings
Allowed values: settings, extensions, globalState, machines, keybindings, snippets, tasks, profiles
Minimum length: 1

Responses

CodeDescriptionSchema
200OKAPIVsCodeSettingsEntitiesVsCodeSettingReference
400400 bad request—
401401 Unauthorized—
404Not Found—

Creates or updates a specific setting

POST /api/v4/vscode/settings_sync/v1/resource/{resource_name}

Parameters

NameTypeDescription
resource_name
Path, required
StringName of the resource such as settings
Allowed values: settings, extensions, globalState, machines, keybindings, snippets, tasks, profiles
Minimum length: 1

Responses

CodeDescriptionSchema
200OK—
400Bad request—
401401 Unauthorized—
404Not Found—

Get a specific setting resource

GET /api/v4/vscode/settings_sync/v1/resource/{resource_name}/{id}

Parameters

NameTypeDescription
resource_name
Path, required
StringName of the resource such as settings
Allowed values: settings, extensions, globalState, machines, keybindings, snippets, tasks, profiles
Minimum length: 1
id
Path, required
StringID of the resource to retrieve

Responses

CodeDescriptionSchema
200OKAPIVsCodeSettingsEntitiesVsCodeSetting
204No content—
400400 bad request—
401401 Unauthorized—
404Not Found—

Deletes all user vscode setting resources

DELETE /api/v4/vscode/settings_sync/{settings_context_hash}/v1/collection

Parameters

NameTypeDescription
settings_context_hash
Path, required
StringThe settings context hash

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401401 Unauthorized—
404Not Found—

Get the settings manifest for Settings Sync

GET /api/v4/vscode/settings_sync/{settings_context_hash}/v1/manifest

Parameters

NameTypeDescription
settings_context_hash
Path, required
StringThe settings context hash

Responses

CodeDescriptionSchema
200OKAPIVsCodeSettingsEntitiesVsCodeManifest
400Bad Request—
401401 Unauthorized—
404Not Found—

Get a list of references to one or more vscode setting resources

GET /api/v4/vscode/settings_sync/{settings_context_hash}/v1/resource/{resource_name}

Parameters

NameTypeDescription
settings_context_hash
Path, required
StringThe settings context hash
resource_name
Path, required
StringName of the resource such as settings
Allowed values: settings, extensions, globalState, machines, keybindings, snippets, tasks, profiles
Minimum length: 1

Responses

CodeDescriptionSchema
200OKAPIVsCodeSettingsEntitiesVsCodeSettingReference
400400 bad request—
401401 Unauthorized—
404Not Found—

Creates or updates a specific setting

POST /api/v4/vscode/settings_sync/{settings_context_hash}/v1/resource/{resource_name}

Parameters

NameTypeDescription
settings_context_hash
Path, required
StringThe settings context hash
resource_name
Path, required
StringName of the resource such as settings
Allowed values: settings, extensions, globalState, machines, keybindings, snippets, tasks, profiles
Minimum length: 1

Responses

CodeDescriptionSchema
200OK—
400Bad request—
401401 Unauthorized—
404Not Found—

Get a specific setting resource

GET /api/v4/vscode/settings_sync/{settings_context_hash}/v1/resource/{resource_name}/{id}

Parameters

NameTypeDescription
settings_context_hash
Path, required
StringThe settings context hash
resource_name
Path, required
StringName of the resource such as settings
Allowed values: settings, extensions, globalState, machines, keybindings, snippets, tasks, profiles
Minimum length: 1
id
Path, required
StringID of the resource to retrieve

Responses

CodeDescriptionSchema
200OKAPIVsCodeSettingsEntitiesVsCodeSetting
204No content—
400400 bad request—
401401 Unauthorized—
404Not Found—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIVsCodeSettingsEntitiesVsCodeManifest

PropertyTypeDescription
latestString—
sessionStringExample: 1

APIVsCodeSettingsEntitiesVsCodeSetting

PropertyTypeDescription
contentString—
machineIdString—
machinesString—
versionString—

APIVsCodeSettingsEntitiesVsCodeSettingReference

PropertyTypeDescription
createdString—
urlString—